﻿/*--------------AGENCY GRID------------*/

.agency_grid {
    background: #cccccc;
    min-height: calc(100% - 2px);
    display: grid;
    width: 100%;
    font-size: 18px;
    grid-template-columns: 34% 33% 33%;
    grid-template-rows: 270px 230px 220px;
    grid-template-areas:
        "agency_contact       agency_details       agency_website"
        "agency_contact       agency_territories   agency_notes"
        "agency_spreadsheet   agency_spreadsheet   agency_spreadsheet";
}
@media (max-width: 1200px) {
    .agency_grid {
        background: #cccccc;
        min-height: calc(100% - 2px);
        display: grid;
        width: 100%;
        grid-template-columns: 50% 50%;
        grid-template-rows: 270px 230px 260px 220px;
        grid-template-areas:
            "agency_contact       agency_details"
            "agency_contact       agency_territories"
            "agency_website       agency_notes"
            "agency_spreadsheet   agency_spreadsheet";
    }
}
@media (max-width: 900px) {
    .agency_grid {
        background: #cccccc;
        min-height: calc(100% - 2px);
        display: grid;
        width: 100%;
        grid-template-columns: 100%;
        grid-template-rows: 500px 250px 220px 230px 270px 230px;
        grid-template-areas:
            "agency_contact"
            "agency_details"
            "agency_territories"
            "agency_notes"
            "agency_website"
            "agency_spreadsheet";
    }
}

/*--------------AGENCIES------------*/

.agency_contact {
    grid-area: agency_contact;
    position: relative;
    width: 100%;
}
.agency_details {
    grid-area: agency_details;
    position: relative;
    width: 100%;
}
.agency_territories {
    grid-area: agency_territories;
    position: relative;
    width: 100%;
}
.agency_website {
    grid-area: agency_website;
    position: relative;
    width: 100%;
}
.agency_notes {
    grid-area: agency_notes;
    position: relative;
    width: 100%;
}
.agency_spreadsheet {
    position: relative;
    top: 10px;
    padding: 5px 10px 5px 10px;
    height: 150px;
    width: 100%;
}
.agency_data {
    grid-area: agency_spreadsheet;
    position: relative;
    width: 100%;
}
.agency_data_window {
    position: absolute;
    top: 0px;
    left: 100px;
    width: calc(100% - 110px);
    overflow: auto;
}
.agency_data_max {
    position: relative;
    width: max-content;
}
.agency_input {
    display: inline-block;
    margin: 2px;
    border: 1px solid grey;
    border-radius: 5px;
    background: white;
    font-weight: 400;
    padding: 5px;
    resize: none;
}
.agency_input2 {
    width: 80px;
    display: inline-block;
    margin: 3px 2px 3px 2px;
    border: 1px solid grey;
    border-radius: 5px;
    padding: 5px;
    font-size: 15px;
    text-align: right;
}
.agency_auto {
    width: calc(100% - 160px);
}
.w60px {
    width: 60px;
}
.agency_label {
    color: #333333;
    font-weight: 600;
    font-size: 18px;
    display: inline-block;
    width: 150px;
    vertical-align: top;
    line-height: 36px;
}
.agency_text {
    color: #333333;
    font-weight: 300;
    font-size: 18px;
    display: inline-block;
    vertical-align: top;
    line-height: 36px;
}
.agency_sage {
    position: absolute;
    top: 10px;
    right: 10px;
}
.tile5 {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    font-family: "Inter Tight", sans-serif;
    background: #efefef;
    border-radius: 10px;
    padding: 10px;
    line-height: 1.1;
    width: calc(100% - 10px);
    height: calc(100% - 10px);
}
.tile_label {
    color: var(--cedar-green);
    position: relative;
    top: -5px;
    font-size: 20px;
    font-weight: 900;
}
.agency_labelc {
    width: 80px;
    display: inline-block;
    text-align: center;
    margin: 2px;
    font-size: 18px;
}

/*--------------CRM------------*/

.crm_date {
    position: relative;
    width: 150px;
    display: inline-block;
    text-align: left;
    font-weight: 600;
    padding: 0px 0px 0px 0px;
    margin: 2px 0px 0px 0px;
}

.crm_dealer {
    position: relative;
    width: 300px;
    display: inline-block;
    text-align: left;
    font-weight: 600;
    padding: 0px 0px 0px 0px;
    margin: 2px 0px 0px 0px;
}

.crm_note {
    width: 100%;
    display: inline-block;
    padding: 2px 5px 2px 5px;
    text-align: left;
}
.crm_note0 {
    position: relative;
    width: calc(100% - 300px);
}
.crm_note1 {
    position: relative;
    width: calc(100% - 150px);
}

.crm_inner {
    display: flex;
    flex-direction: column;
    position: relative;
    justify-content: flex-start;
    align-items: flex-start;
}

.crm_row {
    position: relative;
    display: flex;
    flex-direction: row;
    cursor: pointer;
    width: 100%;
    min-height: 40px;
    font-size: calc(12px + .4vw);
    font-weight: normal;
    border-bottom: 1px dashed var(--sc-border);
    padding: 2px;
}

    .crm_row:hover {
        border: 2px solid red;
    }

.crm_inner_icons {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    width: 100%;
    padding: 10px 10% 10px 10%;
}


.crm_block {
    display: inline-block;
    width: 100%;
    z-index: 99;
}


/*--------------TERRITORIES------------*/

.terr_container {
    position: relative;
    width: calc(100% - 370px);
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.terr_0 {
    position: relative;
    width: 100%;
    height: 200px;
    border-radius: 5px;
    outline: 2px solid green;
    margin: 10px;
    font-size: 16px;
}

.terr_1 {
    position: relative;
    width: 300px;
    height: 280px;
    border-radius: 5px;
    outline: 2px solid green;
    margin: 10px;
    background: white;
    font-size: 16px;
    cursor: pointer;
}

.terr_2 {
    position: relative;
    width: 755px;
    height: 280px;
    border-radius: 5px;
    outline: 2px solid green;
    margin: 10px;
    background: white;
    font-size: 16px;
}

.terr_crm {
    position: relative;
    width: 100%;
    min-height: 1000px;
    border-radius: 5px;
    outline: 2px solid green;
    margin: 10px;
    font-size: 16px;
}

.terr_flag {
    position: absolute;
    top: 5px;
    left: 5px;
    width: 100px;
}

.terr_title {
    position: absolute;
    padding: 5px;
    font-weight: 600;
    font-size: 22px;
    top: 5px;
    left: 105px;
    width: 190px;
    height: 75px;
    text-align: center;
    color: rgba(150,150,150,1);
}

.terr_name {
    position: absolute;
    top: 85px;
    left: 5px;
    width: 290px;
    height: 30px;
    text-align: center;
    font-weight: 800;
    font-size: 26px;
}

.terr_verticals {
    position: absolute;
    top: 115px;
    left: 5px;
    width: 290px;
    height: 83px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

.terr_icon {
    height: 90%;
}

.terr_selectbox {
    position: absolute;
    bottom: 5px;
    left: 5px;
    width: 290px;
    height: 72px;
    background: rgba(230,230,230,1);
    border-radius: 5px;
    padding: 5px;
}

.terr_selector {
    position: relative;
    width: 100%;
    border-radius: 5px;
    border: none;
    font-size: 18px;
    padding: 2px 0px 2px 0px;
}

.terr_region {
    position: absolute;
    bottom: 5px;
    left: 5px;
    border-radius: 5px;
    border: none;
    width: 175px;
    font-size: 18px;
    padding: 2px 5px 2px 5px;
}

.terr_area {
    position: absolute;
    bottom: 5px;
    right: 5px;
    border-radius: 5px;
    border: none;
    width: 100px;
    font-size: 18px;
    padding: 2px 5px 2px 5px;
}

.terr_rating {
    position: relative;
    width: 150px;
    height: 40px;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
}

.terr_bar {
    width: 25px;
    bottom: 0px;
    outline: 1px solid black;
    margin: 0 2px 0 2px;
    background-color: var(--cedar-green);
}

.terr_bar0 {
    background-color: #ffffff;
    height: 0%;
}

.terr_bar1 {
    background-color: #ff0000;
    height: 20%;
}

.terr_bar2 {
    background-color: #ff8000;
    height: 40%;
}

.terr_bar3 {
    background-color: #ffff00;
    height: 60%;
}

.terr_bar4 {
    background-color: #80ff00;
    height: 80%;
}

.terr_bar5 {
    background-color: #00c000;
    height: 100%;
}

.terr_performance {
    position: absolute;
    bottom: 15px;
    left: 10px;
    width: calc(100% - 20px);
    height: 60px;
    font-size: 18px;
    font-weight: 800;
    line-height: 1.1;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.terr_perfbox {
    position: relative;
    text-align: center;
    font-size: 15px;
    font-weight: 300;
    color: rgba(60,60,60,1);
}

.terr_kpi {
    font-size: 26px;
    font-weight: 800;
    color: rgba(20,20,20,1);
}

.terr_owner {
    position: absolute;
    bottom: 0px;
    left: 10px;
    width: calc(100% - 20px);
    text-align: center;
    font-size: 15px;
    font-weight: 200;
}

.terr_number {
    position: absolute;
    top: 0px;
    right: 5px;
    font-size: 15px;
    font-weight: 200;
}

.terr_flags {
    position: absolute;
    padding: 5px 10px 5px 10px;
    background: rgba(230,230,230,1);
    border-radius: 10px;
    top: 5px;
    left: 300px;
    height: calc(100% - 10px);
    width: 140px;
}

.terr_contact {
    position: absolute;
    padding: 5px 10px 5px 10px;
    background: rgba(230,230,230,1);
    border-radius: 10px;
    top: 5px;
    left: 445px;
    height: calc(100% - 10px);
    width: 305px;
}

.terr_address {
    position: relative;
    width: calc(100% - 85px);
    display: inline-block;
    border: none;
    border-radius: 5px;
    padding: 0 5px 0 5px;
    resize: none;
    margin: 2px;
    height: 100px;
}

.terr_notes {
    position: relative;
    width: calc(100% - 85px);
    display: inline-block;
    border: none;
    border-radius: 5px;
    padding: 0 5px 0 5px;
    resize: none;
    margin: 2px;
    height: 300px;
}

.terr_spreadsheet {
    position: relative;
    padding: 5px 10px 5px 10px;
    height: 150px;
    width: 100%;
}

.terr_notes {
    position: relative;
    padding: 5px 10px 5px 10px;
    width: 100%;
}

.terr_action {
    position: absolute;
    top: 5px;
    left: 35px;
    width: auto;
    display: inline-block;
    border: none;
    font-size: 18px;
    padding: 0px 5px 0px 5px;
    border-radius: 5px;
}

.terr_sage {
    position: absolute;
    top: 5px;
    right: 35px;
    width: 300px;
    display: inline-block;
    border: none;
    font-size: 18px;
    padding: 0px 5px 0px 5px;
    border-radius: 5px;
}

.terr_fixed {
    position: absolute;
    top: 0px;
    left: 5px;
    width: 100px;
}

.terr_data {
    position: relative;
    width: max-content;
}

.terr_window {
    position: absolute;
    top: 0px;
    left: 100px;
    width: calc(100% - 110px);
    overflow: auto;
}

.terr_label {
    width: 70px;
    display: inline-block;
    margin: 2px;
    font-size: 15px;
    vertical-align: top;
}

.terr_label2 {
    width: 100px;
    display: inline-block;
    margin: 2px;
    font-size: 18px;
}

.terr_label3 {
    width: 110px;
    display: inline-block;
    margin: 2px;
    font-size: 18px;
}

.terr_labelc {
    width: 80px;
    display: inline-block;
    text-align: center;
    margin: 2px;
}

.terr_input1 {
    width: calc(100% - 85px);
    display: inline-block;
    border: none;
    border-radius: 5px;
    padding: 0 5px 0 5px;
    resize: none;
    margin: 2px;
}

.terr_input2 {
    width: 80px;
    display: inline-block;
    margin: 2px;
    border: none;
}

.terr_check {
    height: 25px;
    margin: 2px;
}

.dealer_row {
    position: relative;
    cursor: pointer;
    width: 100%;
    font-size: calc(12px + .4vw);
    font-weight: normal;
    border-bottom: 1px dashed var(--sc-border);
    padding: 2px;
}

    .dealer_row:hover {
        border: 2px solid red;
    }

.dealer_row_other {
    background-color: rgba(255,255,150,.5);
}

.dealer_row_blue {
    color: blue;
    font-weight: 300;
    background-color: rgba(240,240,240,1);
    font-size: 60%;
}

.terr_row {
    position: relative;
    display: flex;
    width: 100%;
    min-height: 40px;
    justify-content: flex-start;
    align-items: center;
    padding: 2px;
}

.terr_editor {
    position: relative;
    text-align: center;
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    font-size: calc(12px + .4vw);
    font-weight: 600;
    justify-content: center;
    align-items: flex-start;
    padding: 2px;
}

.terr_editor_title {
    text-align: center;
    font-weight: 600;
    font-size: 50px;
    color: var(--cedar-green);
    width: 100%;
    display: inline-block;
}

.min-height {
    min-height: 100vh;
}











